Description
Top Next

Able Graphic Manager (formerly Able DXF manager) is a program that enables you to easily view, acquire, image process, print and convert graphic files in normal (file by file), batch (many files at a time) and command line modes.

Input formats:
· Drawing Interchange Format (DXF) generated by most CAD programs,
· TIFF Bitmap (TIF, TIFF) (including multipage)
· JPEG Bitmap (JPG, JPEG, JPE)
· JPEG2000 (JP2, J2K and JPC)
· PaintBrush (PCX)
· Windows Bitmap (BMP;DIB;RLE)
· Portable Network Graphics (PNG)
· Windows Metafile (WMF)
· Enhanced Windows Metafile (EMF)
· Targa Bitmap (TGA, TARGA, VDA, ICB, VST, PIX)
· Portable Pixmap, GreyMap, BitMap (PXM, PPM, PGM, PBM)
· Windows Icon (ICO)
· Windows Cursor (CUR)

Output formats:
JPG, TIF, PCX, PNG, WMF, EMF, BMP, TGA, PXM, PPM, PGM, PBM.

What is it used for?
Able Graphic Manager converts graphic files to raster images for
· archiving
· electronic document transmission
· eliminating scans
· protecting intellectual property
· creating thumbnail images
· web publishing
· inserting in different documents (Word, Excel etc)
· forwarding of simple drawings
· presentations
· printing.

When it comes to security and durability, raster images are the digital equivalent of paper. At the same time they are easy and economical to transmit and store electronically.

Able Graphic Manager may be automatically works providing batch mode conversion to high-resolution raster images.


Features
Top Previous Next

Drag and Drop supported
Batch Process mode (convert and print, file and folder selection). It allows to add a folder(s) with files, including subfolders.
Command Line mode (view, convert and print). There is an opportunity to select files using mask (*).
Displayed entities (DXF-files)
· Arc
· Attrib
· Blocks (including multiple inserted, scaled and mirrored)
· Circle
· Dimension
· Ellipse
· Elliptic arc
· Hatch (including solid)
· Leader
· Line
· LwPolyline
· MultiLine Text
· Point
· Polyline
· Solid
· Spline
· Text (including fit-justified text)
· Trace
· Unicode Text (multilingual)
· ViewPort
· 3DFace
· 3DLine
Displayed properties of entities (DXF-files)
· Color (including Bylayer and Byblock)
· Linetype (Solid, Dashed, Dot, Dashdot, Divide,Bylayer,Byblock)
· Lineweight (from a file or custom)
· Width (for polyline and lwpolyline)
· Text rotation (any angle)
· Text justification (left, right, center, middle, top, bottom)
Viewing
· Two color mode (color and monochrome)
· Any size (6 modes of a sizes setting)
· Extents selection (4 items)
· Any aspect ratio
· Any image resolution at saving to file
· Zoom (in, out, fit, window)
· Zoom filter (7 items)
· Scroll
· Entities Manager - display management of entities.
· The choice of a background color (Tools->Options->Common->Background Color)
Image acquisition from TWAIN scanners with full control of the scanner capabilities
Converting (saving) to
· JPEG Bitmap (JPG)
· JPEG2000 (JP2, J2K and JPC)
· TIFF Bitmap (TIF)
· PaintBrush (PCX)
· Portable Network Graphics (PNG)
· Windows Bitmap (BMP)
· Windows Metafile (WMF)
· Enhanced Metafile (EMF)
· OS/2 Bitmap (BMP)
· Targa Bitmap (TGA)
· Portable PixMap (PXM)
· Portable PixMap (PPM)
· Portable GreyMap (PGM)
· Portable Bitmap (PBM)
Image processing (Equalize, Contrast, RGB, HSV, HSL, FFT, convert to 24 bit, gray and B&W)
"Copy to clipboard" and "Crop" functions
Effects (Negative, bump map, lens, wave, morph, user filters)
Status information (size, zoom, position, progress bar of file opening)
Watermark drawing (See Tools->Options->Common->WaterMark)
Printing
· Any system printer (from dialog window)
· Color or monochrome printing.
· Advanced print control.
· Batch printing
· Printing via command line
· Multipage documents are supported
· Choice of scale at printing
· Opportunity to insert a caption
· "Split on a part" parameter in Print dialog window. It allow to split drawing on a part if drawing has more size than printer paper size.
All program settings are kept.
Supports localization tools for different languages.


What's new

Able Graphic Manager 2.4
May 2004

· "3DLINE" entities have been added.
· "VIEWPORT" entities have been added.
· The command line parameter (/printer="PrinterName") has been added.
It is used for a choice of the printer. For example: /printer="HP LaserJet 4p"
· Watermark drawing has been added. See Tools->Options->Common->WaterMark.
· The choice of a background color was added. See Tools->Options->Common->Background Color.
· Batch conversion and print on demo-mode have been added.
· Choice of scale at printing has been added.
· Change of lineweight has been added.
· Opportunity to insert a caption when printing an image has been added.
· "Add folders ..." button in "Batch Process" dialog window has been added.
It allows to add a folder(s) with files, including subfolders.
· The opportunity to take lineweight from a file has been added.
· "Split on a part" parameter in Print dialog window has been added.
It allow to split drawing on a part if drawing has more size than printer paper size.
· Display of objects in the frozen layers has been corrected.
· Width of a PolyLines and LwPolyLineslayers has been corrected.
· Display of a invisible objectslayers has been corrected.

Able Graphic Manager 2.3
10/25/2003

· Converting to WMF and EMF formats has been added.
· "LEADER" entities have been added.
· "ATTRIB" entities have been added.
· Support of the Unicode (multilingual) text has been added.
· Item "Use Actual Size" for raster formats (non dxf) has been added. See Tools->Options->Common->Size.
· Support for JPEG2000: JP2, J2K and JPC code stream formats (JPEG-2000 Part-1 standard, ISO/IEC 15444-1).
· The command line parameter (/notbar) has been added. Use it if not want to display the application in the task bar.
· The command line parameter (/rot=angle) has been added. Use it for images rotation.
· Viewing, converting and printing multipage TIFF files. Including a batch mode and work from a command line.
· The command line parameter (/prn_pn=pagenumber) has been added. Establishes page number for print in the multipage document.
· Changed parameter that will allow to name the output file on single conversions from a command line (/sa=jpg or /sa=proba.jpg).
· "Selected mode" has been added. For Copy to clipboard and Crop function.
· The error at showing splines is corrected.

Able Graphic Manager 2.2
07/15/2003

· "SPLINE" entities have been added.
· "POINT" entities have been added.
· Image processing have been added (Equalize, Contrast, RGB, HSV, HSL, FFT, convert to 24 bit, gray and B&W).
· Effects have been added (Negative, bump map, lens, wave, morph, user filters).
· Rotate and Flip have been added.

Able Graphic Manager 2.1
05/01/2003

New features:
· Display of the "DIMENSION" entities.
· "Entities Manager" - display management of entities.

Fixed bugs:
· rotated scaled circle.
· display of diameter, degree and a plus - minus symbols.
· justification of the "MultiLineText".
· rotated MultiLineText.

Able Graphic Manager 2.0
02/17/2003

· Work from a command line have been expanded.
The select of files using a mask (*.*) have been added.
The choice of a directory for saving of files have been addedd.
· Printing quality of DXF-files have been improved.
· Image acquisition from TWAIN scanners with full control of the scanner capabilities

Able Graphic Manager 1.9
11/15/2002

· "Ellipse" entities have been added (DXF-files).
· "Elliptic arc" entities have been added (DXF-files).
· Batch printing have been added
· Printing via comand line have been added
· Enhanced command line parameters for PCX and JPG files have been added
· Set color parameter for command line have been added

Able Graphic Manager 1.8
09/10/2002

· The advanced print options have been added.
· The opportunity of work in a command line mode have been added.

Able Graphic Manager 1.7.1
07/30/2002

· Work with files of the big sizes have been improved.

Able Graphic Manager 1.7
06/15/2002

· The program " Able DXF manager " is renamed to " Able Graphic Manager ".
· "Solid" entities have been added (DXF-files).
· "Trace" entities have been added.(DXF-files).
· "Multiline Text" entities have been added.(DXF-files).
· "Solid Hatch" entities have been added.(DXF-files).
· The transformation algorithm of the image have been improved at resize and print.
· Display of fit-justified text have been corrected (DXF-files).

AbleDXF 1.6
05/15/2002

· New input formats (JPG, TIF, PCX, PNG, BMP, TGA, WMF, EMF. PXM, PPM, PGM, PBM...)

AbleDXF 1.5
04/15/2002

· Any image resolution at saving to file.
· Zoom filter (7 items).
· Extents selection (4 items).
· The operation with mirror blocks concerning a X-axis.
· The operation with rotated blocks.

AbleDXF 1.4
03/10/2002

· Batch process.
· The operations with the scaled blocks is improved.
· The operation with mirror blocks concerning a Y-axis is improved.

AbleDXF 1.3
02/15/2002

· The calculation of drawing sizes is modified
(now there is a possibility of view DXF files created not in AutoCAD,
and in other programs).
· The operation with multiple inserted blocks is improved.
· New modes of sizes set in Options dialog box.
· 3Dface entities are being supported now.
· Associating with *.dxf files.

AbleDXF 1.2
12/15/2001

· The mistake "is not a valid floating point value" has been corrected
(both separators "." and "," are supported now).
· Progress bar of file opening is being shown.
· Hatch and lwpolylines are being supported.

AbleDXF 1.1
11/02/2001

· Polylines are being supported.

AbleDXF 1.0
09/20/2001

· First version.


Planned revisions and additions

In the next versions of program will be added new entities (multilines etc.), new entities properties (thickness of lines etc.), display of the text by a AutoCAD font (shx, shp), hpgl and hpgl/2 input formats, others raster and vector formats, drawing, editing etc.

But the addition order of new opportunities depends on you.

Write, that you want to have in the program, send yours DXF files for testing.


International interface

Download a language file
Able Graphic Manager supports international languages. It means that if English is not your native language and you'd like Able Graphic Manager to speak your native language, just download and install an additional file (detailed instructions are placed below). Currently available languages: English, German.

Install it to Able Graphic Manager
Download the language file and unpack it to the Able Graphic Manager home directory. Start the program, click Tools -> Options -> Language, select your language and click OK.

Note. Some translations may contain words in english because new version of Able Graphic Manager may include new phrases that have not been translated yet. All language files available at release time are included in setup.

Wanna a free registration?
Your native language is not currently supported by Able Graphic Manager ? Create your language file and get a FREE registration!
Just DON'T send us your language file prior to contacting us, as far as such version might be already under development.

Copy English.lng file from the Able Graphic Manager home directory under the your-language-name.lng name. Open it with any text editor (please do not use Microsoft Word for these purposes!). Translate all texts in this file to your native language, install it to Able Graphic Manager (see above), check your translation and then mail it to us in order to get a free registration.
Please note that each string in the the file that should be translated has the identifier=some text structure. You should translate ONLY "some text" part of each string since "identifier" part is used by the program to identify text entries.

E-Mail to: support@graphicregion.com
WWW: http://www.graphicregion.com/language.htm


License

License for use and distribution

Able Graphic Manager is distributed as try-before-you-buy.

This means:

1. All rights to Able Graphic Manager are exclusively owned by the author - GraphicRegion.com.

2. Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use Able Graphic Manager, you MUST register.

3. Once registered, the user is granted a non-exclusive license to use Able Graphic Manager on one computer, for any legal purpose, at a time.

We have two types of licenses: personal and business. With the Personal License ($34.95), you can use the program for non-commercial purposes in non-business, non commercial environment. To use the program in a corporate, government or business environment, you should purchase a Business License - $59.95(US).

The registered Able Graphic Manager software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

4. The Able Graphic Manager unregistered version, may be freely distributed, with exceptions noted below, provided the distribution package is not modified.

5. To register you must complete the online registration form and pay registration fee.

6. Able Graphic Manager IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

7. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here are reserved by GraphicRegion.com.

8. Installing and using Able Graphic Manager signifies acceptance of these terms and conditions of the license.

9. If you do not agree with the terms of this license you must remove Able Graphic Manager files from your storage devices and cease to use the product.

Thank you for using Able Graphic Manager.


Registration

Able Graphic Manager is a shareware software.

It costs $59.95 (bisiness license) or $34.95 (personal license).

You only pay a one-time $34.95 or 59.95 charge for the software.

Transactions are Processed by ShareIt or RegSoft - The Largest online Payment Processors.

Your Payment Information is Secure - We don't even get your information.

ShareIt or RegSoft uses Secure Server for your Protection.

Benefits of registration
1. Using after the evaluation period (30 days).
2. No "DEMO" shows.
3. Free upgrades (you will get all the future versions free of charge).
4. Free support.
5. Batch Process is enabled.

If you would like to register Able Graphic Manager visit
http://www.graphicregion.com/purchase.htm

Buy Now:
bisiness license

bisiness license + CD-rom($9.95)

personal license

personal license + CD-rom($9.95)


Contact us

You can download the latest version of Able Graphic Manager from the website:

http://www.graphicregion.com/graphman.zip

or

http://www.graphicregion.com/graphman.exe

Send your questions, comments and bug reports to

support@graphman.com


Main Window

Window

_Menu
_Toolbar
_Display_window
_Statusbar


"File" menu

Open ...
Open an existing file.

Click on the File menu, then Open (or use the Open tool on the toolbar.)
A dialog allows you to open a file for use in Able Graphic Manager.

Use the Look in box to locate the file you want, or type a file name into File Name.
Type of files lets you limit your choice, showing only the type of file you want (JPG, for instance.)
The default is All Graphics (Windows can not display at same time all file types supported by AGM).
Double click on an image filename brings the file into the viewer.

Save ...
Save file in graphic format.
Clicking the "Advanced" button brings up special options for some file types (GIF, JPG, PNG, TIF, BMP, PCX, TGA, ICO ...).

Acquire
The program that runs your scanner, or any other TWAIN compatible device (digital camera, TV card etc.), will appear.
Follow the steps given in your scanner's manual for scanning an image.

When finished, the image will be placed into Able Graphic Manager.

Print ...
Open the Print window. In this window you can specify some print options and then print an active document.

Batch process ...
Processes multiple images (Open the Batch Process dialog box).

Exit
Quit Able Graphic Manager.


"Edit" Menu

Undo Ctrl+Z
Reverts the last action. Only one function may be undone.

Copy Ctrl+C
Copy to clipboard all image or selected poligon.

Crop Ctrl+R
Cut selected region and copy as current image.

Use the left mouse button (in Selection mode) to outline the area (selection), click on the Edit menu, then Crop.
The area outside the outline will be thrown away, only the inside will be left.


"View" menu

Scroll mode
Switches view to scroll mode.

Zoom mode
Switches view to zoom mode

Select mode
Switches view to select mode

ZoomIn
Increases the apparent size of objects in the viewport.

ZoomOut
Decreases the apparent size of objects in the viewport.

ZoomFit
Zooms to display the drawing extents


"Image" menu

Color Ajust

AutoEqualize
Equalize ...
Contrast ...
RGB ...
Red Green Blue
HSV ...
Hue Saturation Value
HSL ...
Hue Saturation Lumonosity
FFT ...
Fast Fourier Transformation

Color mide

Convert to 24 bit
Convert to gray
Convert to B&W (black and white)

Effects

Negative
Bump map ...
Lens ...
Wave ...
Morph ...
User filter ...

Flip

Horizontal
Vertical

Rotate

270
180
90
Custom ...


"Tools" menu

Options ...
Displays the Options dialog box.


"Help" menu

Contents
Show help contents

About ...
Show information about the program

Purchase
How to buy?


Toolbar

Open ...
Open an existing dxf file

Save ...
Save file in graphic format.

Print ...
Open the Print window. In this window you can specify some print options and then print an active document.

Undo
The Undo button restores the last action.

Acquire
The program that runs your scanner, or any other TWAIN compatible device (digital camera, TV card etc.), will appear.
Follow the steps given in your scanner's manual for scanning an image.

When finished, the image will be placed into Able Graphic Manager.

Batch Process
Processes multiple images. Open the Batch Process dialog box

ZoomIn
Increases the apparent size of objects in the viewport.

ZoomOut
Decreases the apparent size of objects in the viewport.

ZoomFit
Zooms to display the drawing extents

ZoomFilter
ZoomFilter specifies the filter to apply in zoom-in operations.

The fastest way to zoom a picture is to set ZoomFilter to None.

Scroll mode
Switches view in scroll mode

Zoom mode
Switches view in zoom mode

Select mode
Switches view in select mode (for Crop and Copy functions).
Click and move mouse to select the rectangle.
SHIFT key allows to select multiple regions. Pressing ALT the selection maintains aspect ratio.

Options ... Displays the Options dialog box.


Statusbar

Size Current image size (on pixels)

Zoom Zoom value (in percent)

Position Cursor coordinates


Options dialog box

COMMON tab.

Size
Image size (in pixels)

· Modes of a sizes setting (six items)
· Width
· Height

Maintain aspect ratio
Keeps height and width proportion

WaterMark
Watermark drawing

DXF tab.

Color Mode
Entities display mode (color or monochrome)

Text
Select font for text

Entities Manager ...
Turns DXF entities on and off. When a entity is on, it is visible and available for plotting. When a entity is off, it is invisible and not plotted.

LANGUAGE tab.

Language
Select language.


Batch Process dialog box

Add File...
Adds an image file to the batch of files to be processed

Add Folders...
Adds an folder(s) with image files to the batch of files to be processed (including subfolders).

Remove...
Removes selected image files from the batch of files to be processed

Clear ALL
Removes all image files from the batch of files to be processed

Browse...
Opens the Choose The Folder dialog box, which lets you choose the folder in which you want to save the image files

Save as type
Lets you choose the file type to which images are saved

Advanced...
Opens dialog box for display and modify advanced specific file format parameters (example for JPEG).

View Options...
Opens the Options dialog box

Start
Starts execution of operations

Stop
Interrupts execution of operations


Printing Options

With Able Graphic Manager Print tool, you can specify printer properties, control printer rendering, adjust the size and position of the image. A preview of the image is available.

You can select an image size and the options for each size. The options for each size vary. The Measurement Units designate either inches or millimeters as the unit to measure margins, image width and height.

Image Size
You can select one of the image sizes to print your picture.

Default
Prints the image at the size in the main display.
The following options are available: Page Position and Margins.

Fit to Page
Prints an image that is stretched to meet the margin of the page.
The following options are available: Page Position, Margins and Maintain aspect ratio.

Specify Size
Prints an image of a specified width and/or height and maintains the aspect ratio of the image or not.
If the aspect ratio is maintained the image will be sized to meet either the width or height.
The following options are available: Page Position, Margins and Image Properties.

Options
Each option is applicable to one or more image sizes. The available options are:

Page Position
Specifies where on the page to place the image. There are nine possible places.

top-left top-center top-right
middle-left center middle-right
bottom-left bottom-center bottom-right

Measurement Units
Specifies the measurement unit for all related settings.

Margins
Specifies the Top, Bottom, Left and Right margins for the page. The marquee on the preview image designates each margin.

Image Properties
Specifies the following three settings:

Maintain aspect ratio retains the same width and height ratio no matter what the size designation.
Width: specifies width of an image.
Height: specifies height of an image.

Caption
Opportunity to insert a caption at printing

Split on a part
It allow to split drawing on a part if size of the drawing is more than printer paper size.

Printer Setup
You can select which printer you wish to use for printing.

Click Properties to open the printer properties.


Color Adjust dialog box

Equalize

Contrast

Red-Green-Blue

Hue-Saturation-Value

Hue-Saturation-Luminosity

Fast Fourier Transformation


Effects dialog box

Bump Map

Lens

Wave

Morphing filters

User Filter


Rotate dialog box


Mouse

In Zoom mode

Left Click
Increases the apparent size of objects in the viewport (Zoom-In).

Right Click
Decreases the apparent size of objects in the viewport (Zoom-Out)

Select Window
Stretches the chosen area up to the sizes of a Display Window.Click and move mouse to select the rectangle.

In Scroll mode
Navigate the image with a left click and mouse movement.

In Select mode
Navigate the image with a left click and mouse movement.
Click and move mouse to select the rectangle.
SHIFT key allows to select multiple regions. Pressing ALT the selection maintains aspect ratio.


Common parameters

It is possible to perform Able Graphic Manager commands from the command line.

Command line string:

graphman.exe inputfilename /tardir=target-directory /cm=colormode
/sz=size /uw=width /uh=height /ma=aspectratio /ex=extents
/sa=outputformat /col=colormap /notbar /rot=angle

Note: Use double quotes to wrap multiple words as one parameter (such as long file names containing spaces).
Use the /quote parameter if you can use the single quote only.

inputfilename - full name to input file (e.g c:\example.dxf)
It is possible to specify a mask of a files (e.g c:\test\*.* or c:\test\*.tif)

tardir - full path to output files (e.g. d:\new\).
If this folder does not exist, it will be created.

colormode - view color mode (0,1) [for DXF files only]

w 0 - monochrome
w 1 - color

size - modes of a sizes setting (0...4)

w 0 - use program window
w 1 - use width
w 2 - use height
w 3 - use width or height
w 4 - use width and height
w 5 - use actual size

width - new width (in pixels)

height - new height (in pixels)

aspectratio - maintain aspect ratio (0,1)

w 0 - to not keeps proportions
w 1 - keep height and width proportion

extents - extents modes (0...3) [for DXF files only]

w 0 - from file header
w 1 - from entities data
w 2 - maximum value
w 3 - minimum value

outputformat - output file extension

w jpg
w tif
w pcx
w wmf
w emf
w gif
w png
w bmp
w tga
w pxm
w ppm
w pgm
w pbm
(e.g /sa=jpg or /sa=test.tif)
w prn (printing)

col - colormap. Bits number each sample has.

w 1 -b&w
w 2 -16
w 3 -256
w 4 -16M

/notbar Use it if not want to display the application in the task bar

angle Use it for images rotation (degree, 0 ... 360).

Example:

graphman.exe test.dxf /tardir=c:\exampl\ /cm=1 /sz=3 /uw=560 /uh=230 /ma=1 /ex=2 /sa=jpg

graphman.exe c:\temp\*.* /cm=1 /sz=3 /uw=560 /uh=230 /ma=1 /ex=2 /rot=90 /sa=jpg


Enhanced parameters

PCX file

graphman.exe inputfilename /pcx-comp=compression

compression - PCX Compression

unc - uncompressed PCX (incompatible with most PCX readers)
rle - compressed PCX (standard PCX)

JPG file

graphman.exe inputfilename /jpg_cs=colorspace /jpg_dct=DCTmethod /jpg_oh=OptimalHuffman /jpg_prg=Progressive /jpg_qlt=Quality /jpg_sm=Smooth

colorspace - specify the saved color space

1 - RGB is separate RGB channels
2 - GRAYLEV is unique intensity channel (gray levels)
3 - YCbCr three channels (CCIR Recommendation 601-1)
4 - CMYK four channels (Cyan Magenta Yellow Black) - linear convertion
5 - YCbCrK four channels (YCbCr and Black)

DCTmethod - Specify the DCT method

1 - ISLOW is slow but accurate integer algorithm
2 - IFAST is faster, less accurate integer method
3 - FLOAT is a floating-point method (machine dependent).

OptimalHuffman - Specifies if jpeg compressor have to use an optimal huffman table (more compression)), instead standard table.

0 - disable
1 - enable

Progressive - Specifies if this is a progressive jpeg.

0 - disable
1 - enable

Quality - Quality factor, from 1 to 100. The higher the value, the better the image quality, and the larger resultant memory needed.

Smooth - Smoothing factor (0 is none, 100 is max). If JPEG_Smooth is not zero, the jpeg compressor smooth the image before compress it. This improves compression.

Example:

graphman.exe test.dxf /jpg_cs=1 /jpg_dct=1 /jpg_oh=0 /jpg_prg=1 /jpg_qlt=50

BMP file

graphman.exe inputfilename /bmp_comp=compression

compression - BMP Compression

0 - uncompressed bitmap
1 - compressed bitmap (RLE) - Only 16 or 256 color bitmap can be saved with RLE compression.


Printing via command line
Top Previous

graphman.exe inputfilename /sa=prn /prn_is=ImageSize /prn_pp=PagePosition
/prn_mu=MeasurementUnits /prn_mar=martop-marbottom-marleft-marright
/prn_ip=imgwidth-imgheight /prn_ar=MaintainAspectRatio /prn_gc=GammaCorrection
/prn_pn=PageNumber /printer="PrinterName" /autorot /prn_capt="PrintCaption"

ImageSize - PCX Compression

w 1 - Default. Prints the image at the size in the main display.
w 2 - Fit to Page. Prints an image that is stretched to meet the margin of the page.
w 3 - Specify Size. Prints an image of a specified width and/or height and maintains the aspect ratio of the image or not. If the aspect ratio is maintained the image will be sized to meet either the width or height.

PagePosition - Specifies where on the page to place the image. There are nine possible places.

w 0 - top-left
w 1 - top-center
w 2 - top-right
w 3 - middle-left
w 4 - center
w 5 - middle-right
w 6 - bottom-left
w 7 - bottom-center
w 8 - bottom-right
w

MeasurementUnits - Specifies the measurement unit for all related settings.

w 0 - millimetre
w 1 - inches

Margins - Specifies the Top, Bottom, Left and Right margins for the page. The marquee on the preview image designates each margin.

w example: /prn_mar=10-10-15-20

ImageProperties - Specifies width and height of an image. Valid only when /prn_is=3 (Specify Size)

w example: /prn_ip=30-40

MaintainAspectRatio - retains the same width and height ratio no matter what the size designation.

w 0 - disable
w 1 - enable

GammaCorrection - Gamma correction value, use 1 to disable gamma correction.The Gamma setting changes the light value of the images, higher values lighten the image, while lower values darken it.

PageNumber - Establishes page number for print in the multipage document. example: /prn_pn=4

PrinterName - It is used for a choice of the printer. For example: /printer="HP LaserJet 4p"

autorot - automatical page orientation

PrintCaption - When you print an image, you can add text above or below the image.
The text can include information you type or metadata tags associated with the image file.
Tags: <Filename>, <FilenameExt>, <FileDate>, <FileTime>

for example: /prn_capt="1-<FilenameExt> 2-<FileDate> 3-<FileTime>"
result: 1-myfile.bmp 2-10.05.2005 3-14:02:34

Example:

graphman.exe test.dxf /sa=prn /prn_is=3 /prn_pp=4 /prn_mu=1 /prn_mar=1-1-2-2 /prn_ip=10-15 /prn_ar=1 /prn_gc=2


Dialogs
Top

Options dialog box
Batch Process dialog box


 Command line


To assist in interchanging drawings between AutoCAD and other programs, a "Drawing Interchange" file format (DXF)has been defined.

All implementations of AutoCAD accept this format and are able to convert it to and from their internal drawing file representation.

DXF files are standard ASCII text files. They can easily be translated to the formats of other CAD systems, or submitted to other programs for specialized analysis.


Advanced

Advanced Parameters
Top


Menu
Top

File :: Edit :: View :: Image :: Tools :: Help